### Method

# Phosh SystemModalDialog add_button

#### Declaration [src]

    void
    phosh_system_modal_dialog_add_button (
      PhoshSystemModalDialog* self,
      GtkWidget* button,
      gint position
    )

#### Description [src]

Adds the given button to the dialog’s content area at the given position. If the posiion is `-1` the button is appended at the end.

#### Parameters

`button`

  Type: `GtkWidget`

  The button for the dialog’s button area.

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The buttons position in the box or -1